"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _ErrorTemplate = _interopRequireDefault(require("./ErrorTemplate"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function NoWeb3() {
  return _react.default.createElement(_ErrorTemplate.default, {
    title: "No Web3 Provider",
    message: _react.default.createElement("p", null, "Your browser does not have Web3 capabilities. Please consider installing", ' ', _react.default.createElement("a", {
      href: "https://metamask.io/",
      target: "_blank",
      rel: "noopener noreferrer"
    }, "MetaMask"), " or", ' ', _react.default.createElement("a", {
      href: "https://trustwalletapp.com/",
      target: "_blank",
      rel: "noopener noreferrer"
    }, "Trust Wallet"), " on mobile.")
  });
}

var _default = NoWeb3;
exports.default = _default;