"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/es6.regexp.to-string");

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _ErrorTemplate = _interopRequireDefault(require("./ErrorTemplate"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Web3Error(props) {
  return _react.default.createElement(_ErrorTemplate.default, {
    title: "Web3 Error",
    message: props.error.toString()
  });
}

Web3Error.propTypes = {
  error: _propTypes.default.object.isRequired
};
var _default = Web3Error;
exports.default = _default;